Bug 467536 - Missing DH field
Missing DH field
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: NetworkManager-openvpn (Show other bugs)
9
All Linux
medium Severity low
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-18 00:49 EDT by Hiran Arias
Modified: 2008-10-20 12:38 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-19 14:37:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hiran Arias 2008-10-18 00:49:44 EDT
Description of problem:
There is no DH field for defining the Diffie  Hellman file (dh.pem) which is require for tls-server connection.

Version-Release number of selected component (if applicable):
NetworkManager-openvpn-0.7.0-16.svn4027.fc9

How reproducible:
Create a new OpenVPN connection

Actual results:
No DH field

Expected results:
It should be a DH field for TLS connections.

Additional info:
Still if you use the import button on a config file that has the dh parameter then it is used in the connection even when isn't show in the edit window.
Comment 1 Christoph Höger 2008-10-19 14:37:03 EDT
Currently, there is no tls option in the upstream source except --tls-auth (In special I had no 'tls-server' as a result of grepping 'tls' in the source.
If you feel that you need more options for tls stuff, you should make a feature request upstream.
I will close that bug, as it is definitely something I cannot handle from here ;)
Comment 2 Dan Williams 2008-10-20 12:38:08 EDT
Yeah, the NM openvpn plugin uses --client mode, and not --tls-server.  Thus --dh isn't applicable.

Note You need to log in before you can comment on or make changes to this bug.